Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util.statistics
Class ServiceStatistics

    java.lang.Object
      oracle.ifs.core.util.statistics.ServiceStatistics

    public class ServiceStatistics

extends java.lang.Object

A ServiceStatistics is a representation of the current state of the statistics for a running service in the current node.

Field Summary
`static java.lang.String` | `INDENT` Standard indention.

Constructor Summary
`protected` | `ServiceStatistics(java.lang.String runtimeStats, java.lang.String dataStats, java.lang.String aclStats, java.lang.String roConnPoolStats, java.lang.String wrConnPoolStats, SessionStatistics sessStats, java.lang.String clusterStats)` Construct a ServiceStatistics.

Method Summary
`java.lang.String` | `getAclCacheStatistics()` Get the current service's ACL (the committed ACL cache) statistics.
`java.lang.String` | `getClusteringStatistics()` Get the current Clustering statistics.
`java.lang.String` | `getDataCacheStatistics()` Get the current service's data (the committed data cache) statistics.
`java.lang.String` | `getReadonlyConnectionPoolStatistics()` Get the current service's readonly connection pool statistics.
`java.lang.String` | `getRuntimeStatistics()` Get the current runtime statistics.
`static ServiceStatistics` | `getServiceStatistics(LibrarySession session)` Get the statistics for the service running on this node.
`static java.lang.String` | `getSessionCacheStatistics(LibrarySession session)` Get the LibrarySession-specific cache statistics for the specified session.
`SessionStatistics` | `getSessionStatistics()` Get the current service's session statistics.
`java.lang.String` | `getWriteableConnectionPoolStatistics()` Get the current service's writeable connection pool statistics.
`java.lang.String` | `toString()` Return string representation of the ServiceStatistics, using the default date format that specified date strings in the format "yyyy/MM/dd HH:mm:ss".
`java.lang.String` | `toString(java.text.DateFormat dateFormat)` Return string representation of the ServiceStatistics, using the specified DateFormat.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INDENT

    public static final java.lang.String INDENT

  Description copied from class: `ServiceStatistics`
  Standard indention.

  See Also:
    Constant Field Values

Constructor Detail

### ServiceStatistics

    protected ServiceStatistics(java.lang.String runtimeStats,
                                java.lang.String dataStats,
                                java.lang.String aclStats,
                                java.lang.String roConnPoolStats,
                                java.lang.String wrConnPoolStats,
                                SessionStatistics sessStats,
                                java.lang.String clusterStats)

  Construct a ServiceStatistics.

  Parameters:
    `runtimeStats` - the runtime statistics
    `dataStats` - the data cache statistics
    `aclStats` - the ACL cache statistics
    `roConnPoolStats` - the readonly connection pool statistics
    `wrConnPoolStats` - the writeable connection pool statistics
    `sessStats` - the session statistics
    `clusterStats` - the Clustering statistics

Method Detail

### getRuntimeStatistics

    public java.lang.String getRuntimeStatistics()

  Description copied from class: `ServiceStatistics`
  Get the current runtime statistics.

  Returns:
    the runtime statstics

### getDataCacheStatistics

    public java.lang.String getDataCacheStatistics()

  Description copied from class: `ServiceStatistics`
  Get the current service's data (the committed data cache) statistics.

  Returns:
    the data statstics

### getAclCacheStatistics

    public java.lang.String getAclCacheStatistics()

  Description copied from class: `ServiceStatistics`
  Get the current service's ACL (the committed ACL cache) statistics.

  Returns:
    the ACL statstics

### getReadonlyConnectionPoolStatistics

    public java.lang.String getReadonlyConnectionPoolStatistics()

  Description copied from class: `ServiceStatistics`
  Get the current service's readonly connection pool statistics.

  Returns:
    the readonly connection pool statistics.

### getWriteableConnectionPoolStatistics

    public java.lang.String getWriteableConnectionPoolStatistics()

  Description copied from class: `ServiceStatistics`
  Get the current service's writeable connection pool statistics.

  Returns:
    the writeable connection pool statistics.

### getSessionStatistics

    public SessionStatistics getSessionStatistics()

  Description copied from class: `ServiceStatistics`
  Get the current service's session statistics.

  Returns:
    the session statistics.

### getClusteringStatistics

    public java.lang.String getClusteringStatistics()

  Description copied from class: `ServiceStatistics`
  Get the current Clustering statistics.

  Returns:
    the Clustering statistics.

### getServiceStatistics

    public static ServiceStatistics getServiceStatistics(LibrarySession session)
                                                  throws IfsException

  Description copied from class: `ServiceStatistics`
  Get the statistics for the service running on this node.

  Parameters:
    `session` - the session context
  Returns:
    the statistics.
  Throws:
    `IfsException` - if the operation fails

### getSessionCacheStatistics

    public static java.lang.String getSessionCacheStatistics(LibrarySession session)
                                                      throws IfsException

  Description copied from class: `ServiceStatistics`
  Get the LibrarySession-specific cache statistics for the specified session.

  Parameters:
    `session` - the session context
  Returns:
    the statistics.
  Throws:
    `IfsException` - if the operation fails

### toString

    public java.lang.String toString()

  Description copied from class: `ServiceStatistics`
  Return string representation of the ServiceStatistics, using the default date format that specified date strings in the format "yyyy/MM/dd HH:mm:ss".

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation

### toString

    public java.lang.String toString(java.text.DateFormat dateFormat)

  Description copied from class: `ServiceStatistics`
  Return string representation of the ServiceStatistics, using the specified DateFormat.

  Parameters:
    `dateFormat` - the desired date format
  Returns:
    the string representation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD